### Hierarchy

- LoginVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitPassword
- visitUserId

## Constructors

### constructor

- new LoginVisitor(value: string | object): LoginVisitor

- - Defined in proxy/LoginVisitor.ts:9

  #### Parameters

  - ##### value: string | object

  #### Returns LoginVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/LoginVisitor.ts:9

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/LoginVisitor.ts:29

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/LoginVisitor.ts:33

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/LoginVisitor.ts:37

  #### Returns any

### visitPassword

- visitPassword(): string

- - Defined in proxy/LoginVisitor.ts:43

  #### Returns string

### visitUserId

- visitUserId(): string

- - Defined in proxy/LoginVisitor.ts:47

  #### Returns string

Generated using TypeDoc